Package Details: ghostwriter-git 24.01.75.r7.g7b935d6-1

Git Clone URL: https://aur.archlinux.org/ghostwriter-git.git (read-only, click to copy)
Package Base: ghostwriter-git
Description: Cross-platform, aesthetic, distraction-free Markdown editor.
Upstream URL: https://invent.kde.org/office/ghostwriter
Licenses: GPL3
Conflicts: ghostwriter
Provides: ghostwriter
Submitter: TamCore
Maintainer: SolarAquarion (FabioLolix, Ashiix)
Last Packager: SolarAquarion
Votes: 10
Popularity: 0.000412
First Submitted: 2016-03-28 19:04 (UTC)
Last Updated: 2023-11-26 23:33 (UTC)

Latest Comments

1 2 Next › Last »

FabioLolix commented on 2022-10-27 20:36 (UTC)

The man page don't install in the correct directory, using -DCMAKE_INSTALL_MANDIR=/usr/share/man tested on my local pkgbuild don't work

https://cmake.org/cmake/help/latest/module/GNUInstallDirs.html#:~:text=data%20%28DATAROOTDIR/locale%29-,MANDIR,-man%20documentation%20%28DATAROOTDIR

https://twitter.com/cmake_aid/status/1585727844994486272

FabioLolix commented on 2022-10-27 20:04 (UTC)

Updated, thanks

Who is using common SRCDEST= need to delete the old source since the repo changed to invent.kde.org (github seems a mirror and is not possible to open issues there)

rodbiren commented on 2022-10-26 23:29 (UTC)

KDE picked up maintenance awhile back. This PKGBUILD worked for my systems. They changed a few of the dependencies and build system.

# Maintainer: Solomon Choina <shlomochoina@gmail.com>
# Maintainer: Fabio 'Lolix' Loli <fabio.loli@disroot.org>
# Contributor: Philipp 'TamCore' B. <philipp [at] tamcore [dot] eu>

pkgname=ghostwriter-git
pkgver=2.1.6.r84.g44c4609
pkgrel=1
pkgdesc="Cross-platform, aesthetic, distraction-free Markdown editor."
arch=(i686 x86_64)
url="https://github.com/KDE/ghostwriter"
license=('GPL3')
conflicts=('ghostwriter')
provides=('ghostwriter')
makedepends=('git' 'qt5-tools' 'cmake' 'extra-cmake-modules')
depends=('qt5-base' 'qt5-svg' 'hunspell' 'desktop-file-utils' 
         'gtk-update-icon-cache' 'discount' 'qt5-webengine' 'sonnet' 'kxmlgui')
optdepends=('hunspell: spell checking')
source=(git+https://github.com/KDE/ghostwriter.git)
sha256sums=('SKIP')

pkgver() {
  cd "${pkgname%-git}"
  git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
  cd "${pkgname%-git}"
  mkdir build
  cd build
  cmake -DCMAKE_INSTALL_PREFIX=/usr ..
  make
}

package() {
  cd "${pkgname%-git}/build"
  make DESTDIR="$pkgdir"  install
}

FabioLolix commented on 2021-12-13 16:17 (UTC)

Thanks, I was just revisioning the pkgbuild

SolarAquarion commented on 2021-12-13 16:03 (UTC)

I totally need to do some edits to the PKGBUILD

FabioLolix commented on 2021-08-14 20:25 (UTC)

The 'v' need to be cut from pkgver, please replace markdown with discount

amadeusp81 commented on 2021-05-20 11:28 (UTC)

Would be awesome if this package could be updated.

maxemilian commented on 2021-05-12 13:47 (UTC)

Could you update? the 2.0 version?

Almagest commented on 2019-06-21 17:53 (UTC)

Hello, it appears you have a missing dependency on qt5-webengine. I received this error when trying to install your PKG:

Info: creating stash file /home/almagest/.cache/yay/ghostwriter-git/src/ghostwriter/.qmake.stash Project ERROR: Unknown module(s) in QT: webenginewidgets webengine

Which was fixed upon the installation of: https://www.archlinux.org/packages/extra/x86_64/qt5-webengine/